# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证物料编码模糊匹配_套包列表_商品详情页面跳转,2264,2264-29,sit,bs
主数据平台:多采商品套包列表物料编码模糊查询
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json
import random

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 随机生成物料编码
input_value = random.randint(1, 10000000)

# 第三步验证多采商品套包列表页面中物料编码模糊查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url27")
request_body = commonFuc().get_business_data(module, "payload27", input_value)

"""

 场景:验证多采商品套包列表页面中物料编码模糊查询
 用例名称：验证多采商品套包列表页面中物料编码模糊查询
 输出：{"success":true,"code":"200","message":"OK"}

"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict27")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
